#ifndef _HEADER_WIDGET_H_
#define _HEADER_WIDGET_H_

#include <QWidget>
#include <QPixmap>
#include <QLabel>
#include <QHBoxLayout>

#include "kupdateapplet_export.h"

class QLabel;
class QPixmap;
class QHBoxLayout;
class QGridLayout;

class KUPDATEAPPLET_EXPORT HeaderWidget : public QWidget {

	Q_OBJECT

	public:

		HeaderWidget(QWidget *parent=0);
		~HeaderWidget();

		void setDescription(QString description);

	private:

		QGridLayout	*layout;
		QPixmap *pic;
		QLabel *logo;
		QLabel *text;
};

#endif

