#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <kdebug.h>

#include "updaterapplication.h"
#include "constants.h"


int main( int argc, char **argv )
{

    KAboutData about( PROGRAM_NAME, 0, ki18n( PROGRAM_DISPLAY_NAME ), VERSION, ki18n( PROGRAM_DISPLAY_NAME ) );

    KCmdLineArgs::init( argc, argv, &about );
    KUniqueApplication::addCmdLineOptions();

    if ( !KUniqueApplication::start() )
    {
        kError() << argv[0] << " is already running" << endl;
        exit( 0 );
    }

    UpdaterApplication app;

    app.disableSessionManagement();
    app.setQuitOnLastWindowClosed( false );
    app.exec();

    return 0;
}

