
if(KDEPIM3_CONNECTION_INCLUDE_DIR AND KDEPIM3_CONNECTION_LIBRARY)
  # Already in cache, be silent
  set(KDEPIM3_CONNECTION_FIND_QUIETLY TRUE) 
endif(KDEPIM3_CONNECTION_INCLUDE_DIR AND KDEPIM3_CONNECTION_LIBRARY)

set(KDEPIM3_CONNECTION_LIBRARY)
set(KDEPIM3_CONNECTION_INCLUDE_DIR)

FIND_PATH(KDEPIM3_CONNECTION_INCLUDE_DIR networkstatuscommon.h
  ${KDE3_INCLUDE_DIR}
)

FIND_LIBRARY(KDEPIM3_CONNECTION_LIBRARY NAMES connectionmanager
  PATHS
  ${KDE3_LIB_DIR}
)

if(KDEPIM3_CONNECTION_INCLUDE_DIR AND KDEPIM3_CONNECTION_LIBRARY)
   MESSAGE( STATUS "kdepim3-networkstatus: includes in ${KDEPIM3_CONNECTION_INCLUDE_DIR}, library in ${KDEPIM3_CONNECTION_LIBRARY}")
   set(KDEPIM3_CONNECTION_FOUND TRUE)
else(KDEPIM3_CONNECTION_INCLUDE_DIR AND KDEPIM3_CONNECTION_LIBRARY)
   MESSAGE( STATUS "kdepim3-networkstatus not found")
endif(KDEPIM3_CONNECTION_INCLUDE_DIR AND KDEPIM3_CONNECTION_LIBRARY)

MARK_AS_ADVANCED(KDEPIM3_CONNECTION_INCLUDE_DIR KDEPIM3_CONNECTION_LIBRARY)


