#ifndef CONFIGWIDGET_H
#define CONFIGWIDGET_H

#include "ui_configwidgetui.h"

#include "kupdateapplet_export.h"

typedef QMap<int, QString> PluginMap;

class QComboBox;
class QLineEdit;

class KUPDATEAPPLET_EXPORT ConfigWidget : public QWidget, private Ui::ConfigWidgetUI
{
   Q_OBJECT

public:
	ConfigWidget(QWidget* parent = 0);
	~ConfigWidget();

private:
	void addBackendPlugins();

	QComboBox* comboBackendPlugin;
	QLineEdit* kcfg_BackendPlugin;
	PluginMap pluginMap;

private slots:
	void slotPluginComboChanged(int index);
};

#endif // CONFIGWIDGET_H

// vim:tabstop=2:noet:sw=2
