#ifndef _CONSTANTS_H_
#define _CONSTANTS_H_

#define PROGRAM_NAME		"kupdateapplet"
#define PROGRAM_DISPLAY_NAME	"Updater Applet"

#define TRAY_ICON_GREEN		"kupdateapplet_green"
#define TRAY_ICON_RED		"kupdateapplet_red"
#define TRAY_ICON_YELLOW	"kupdateapplet_yellow"
#define TRAY_ICON_OPTIONAL	"kupdateapplet_optional"
#define TRAY_ICON_PROBLEM	"messagebox_warning"
#define TRAY_ICON_CHECKING 	"kupdateapplet_busy"
#define TRAY_ICON_INSTALLING	"kupdateapplet_busy"
#define TRAY_ICON_NO_UPDATE_REPO	"kupdateapplet_noupdaterepo"
#define TRAY_ICON_GRAY		"kupdateapplet_gray"
#define TRAY_ICON_HARDWARE	"kupdateapplet_hardware"
#define TRAY_ICON_YAST		"kupdateapplet_yellow"

#define PROGRAM_ICON		"kupdateapplet"
#define DEFAULT_BACKEND 	"packagekit_plugin"

// Represents the various columns, some hidden and some not, which hold
// our package info in the ListViews
enum {
  COLUMN_CHECK,           // where you check the item
    COLUMN_NAME,            // The Package Name
    COLUMN_SUMMARY,         // Package description
    COLUMN_TYPE,            // Patch or Package
    COLUMN_NEW_VERSION,     // The Version We Are Upgrading To
    COLUMN_CATALOG,         // The Catalog
    COLUMN_RESTART,         // Restart needed
    COLUMN_ID,              // The ID of the Package/Patch
    COLUMN_RESTART_HIDDEN   // Restart needed: 	"system": reboot system  |  "session": relogin   | "application": restart program
};


#define DISTROUPGRADECHECKINTERVAL	0	// check interval for distro upgrades in days
#define DISTROUPGRADENOTIFICATIONINTERVAL       14      // notification interval for distro upgrades in days


#endif


