#ifndef _ZYPP_LIST_ITEM_H_
#define _ZYPP_LIST_ITEM_H_

#include "zyppupdater.h"

/**
	@file

	Defines ZYppListItem.
**/

/**
	ZYppListItem basically just allows for special "refcounting."
	It keeps track of user clicks and increments/decrements a counter

	@author Narayan Newton <narayannewton@gmail.com>
**/
class ZYppListItem :
//public QListViewItem
      public QTreeWidgetItem
{

public:

//  ZYppListItem( ZYppResolvable *, QTreeWidget *, const QString& );
  ZYppListItem( ZYppResolvable *, QTreeWidget * );
  ZYppResolvable * resolvable() const;

private:
  ZYppResolvable *_resolvable;
};

#endif

